El archivo jQuery-migrate se introdujo en la versión 1.9 de jQuery, que se utiliza para cargar las API desaprobadas y funciones que se han eliminado en jQuery 1.9. Si estas seguro de que tu sitio wordpress y los plugins de terceros que tienes instalados no utilizan funciones desaprobadas, puedes no cargarlo y mejorar tu optimización web.

Es sólo un archivo extra y que no es muy pesado, pero si tu página web no utiliza ninguna función en desuso, entonces no hay necesidad de cargar el archivo de migración.

add_filter( 'wp_default_scripts', 'remove_jquery_migrate' );

function remove_jquery_migrate( &$scripts)
{
    if(!is_admin())
    {
        $scripts->remove( 'jquery');
        $scripts->add( 'jquery', false, array( 'jquery-core' ), '1.10.2' );
    }
}